Bug 823460 - winxp guest boot fail when -smp >64
winxp guest boot fail when -smp >64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
x86_64 Windows
low Severity low
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 06:18 EDT by FuXiangChun
Modified: 2012-06-26 03:13 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 03:13:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FuXiangChun 2012-05-21 06:18:04 EDT
Description of problem:
If boot winxp-sp3(32bit) guest with -smp >64 then guest will continuously reboot.
If use -smp <=64,Guest will boot successfully 

Version-Release number of selected component (if applicable):
# uname -r
2.6.32-272.el6.x86_64
#rpm -qa|grep qemu
qemu-kvm-0.12.1.2-2.294.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -M rhel6.3.0 -cpu Penryn,-kvmclock  -monitor stdio -enable-kvm -m 3G -smp 65,sockets=13,cores=5,threads=1 -name rhel6 -uuid 745fe449-aac8-29f1-0c2d-5042a707263b -boot c -drive file=/home/windows-image/winXP-32-virtio.qcow2,if=none,id=drive-ide0-0-0,format=qcow2,cache=none,aio=threads -device virtio-blk-pci,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1,scsi=off -netdev tap,id=hostnet1 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=86:12:50:a4:35:75 -spice disable-ticketing,port=5913 -device sga -chardev socket,id=serial0,path=/var/test4,server,nowait -device isa-serial,chardev=serial0
2.
3.
  
Actual results:
boot fail

Expected results:
guest work well

Additional info:
hit the same issue on amd and intel host. host cores number:96
Comment 1 FuXiangChun 2012-05-22 05:44:44 EDT
re-test this issue, it can be triggered when -smp >32 too.
Comment 2 Ronen Hod 2012-05-23 06:24:54 EDT
In http://en.wikipedia.org/wiki/Windows_XP#Processor_limits
It says that XP can support up to 32 logical processors.

Ronen.

Note You need to log in before you can comment on or make changes to this bug.